Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.engine
Interface ReportEngine

All Known Implementing Classes:
  StandardReportEngine

    public interface ReportEngine

ReportEngine is the base interface for report engines

Method Summary
`void` | `configure(HashTree testPlan)`
`void` | `exit()`
`void` | `reset()`
`void` | `runReport()`
`void` | `stopReport()`

Method Detail

### configure

    void configure(HashTree testPlan)

### runReport

    void runReport()
                   throws JMeterEngineException

  Throws:
    `JMeterEngineException`

### stopReport

    void stopReport()

### reset

    void reset()

### exit

    void exit()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.